.TH FILE_STALL 1 "Jan 24 1996" "Stanford University" "SUIF Compiler"
.SH NAME
file_stall \- wait for a file to appear
.SH SYNOPSIS
.B file_stall
{
.I flag
} *
.I filename
.SH DESCRIPTION
This little utility is used by the SUIF makefile system to synchronize
multiple nightly recompile runs using the same $SUIFHOME/src tree.
.sp
If
.I filename
already exists, there is no effect and
.B file_stall
exits immediately.  Otherwise, it waits until
.I filename
appears and then exits.  Either way, it returns a successful return
code.  It also prints a line to standard output reporting its results
-- whether or not it had to wait and if it did wait, how long it did
so.
.SH OPTIONS
.TP
.BI \-name " name"
This says to use
.I name
in the output message.  By default, the output message refers to
.I filename.
.TP
.B \-silent
This option causes the output message to be suppressed is there is no
stall.  If there is a wait, the output message is printed as usual.
.TP
.B \--
This flag means ``end of options'' so subsequent arguments are not
taken as flags, even if they begin with ``-''.
.SH HISTORY
This program was written by Chris Wilson.
